Bug 76286 - gnome-terminal does not accept keystrokes for foreign letters
gnome-terminal does not accept keystrokes for foreign letters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-19 02:45 EDT by darkeye
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 01:25:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description darkeye 2002-10-19 02:45:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
gnome-terminal does not accept letters entered via the keyboard which are
outside the current locale.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. log in with us-english settings
2. chose hungarian keyboard via the keyboard switching applet
3. try to enter o with two long strokes: o?= or u with two long strokes: o?= into
the terminal
	

Actual Results:  the terminal does not accept the above keystrokes (acts as if
no key was pressed)

Expected Results:  the terminal should accept the keystrokes, and display the
letters they mean.

Additional info:

the letters mentioned above: o with two long strokes: o?= or u with two long
strokes: o?=, are outside ISO-8859-1. otther 'funny' hungarian letters, which are
both in ISO-8859-1 an ISO-8859-2, are accepted.

the mentioned letters are displayed correctly in the terminal, but one can't
copy-paste them either.

other applications accept input for these letters in the same setup
Comment 1 Ray Strode [halfline] 2004-11-04 01:25:00 EST
This shouldn't be an issue anymore.

Note You need to log in before you can comment on or make changes to this bug.